<?php
/* $Id: copieur.class.php,v 1.4 2006-11-02 13:53:52 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("imprimante.class.php");

class copieur extends imprimante{

function copieur($id,&$db,$DEBUG) {
  $this->constructeur($id,$db,$DEBUG);
} // fin constructeur

function setvalF($val){
  parent::setvalF($val);
  $this->valF['fax'] = $val['fax'];
  $this->valF['scanner'] = $val['scanner'];
}


// formulaire
function setType(&$form,$maj) {
  parent::setType($form,$maj); //sans& 
  if ($maj < 2) { //ajouter et modifier
    $form->setType('scanner', 'select');
    $form->setType('fax', 'select');
  }
}

function setSelect(&$form, $maj,$db,$debug) {
  parent::setSelect($form, $maj,$db,$debug);   //sans& 
  if($maj<2){
    $contenu=array();
    $contenu[0]=array('f','v');
    $contenu[1]=array('Non','Oui');
    $form->setSelect("scanner",$contenu);
    $form->setSelect("fax",$contenu);
  }
}

function setLib(&$form,$maj) {
  parent::setLib($form,$maj); //sans& 
  $form->setLib('idmodele','Modèle copieur');
  $form->setLib('boitierext','Boitier externe');
}

}// fin de classe
?>